com.ihr.xbrl.mapper.filters

## Enum XBRLCTimeFilter.TimeFilterPosition

- java.lang.Object
- - java.lang.Enum<XBRLCTimeFilter.TimeFilterPosition>
  - - com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.TimeFilterPosition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLCTimeFilter.TimeFilterPosition>
  Enclosing class:
    XBRLCTimeFilter

      public static enum XBRLCTimeFilter.TimeFilterPosition
      extends java.lang.Enum<XBRLCTimeFilter.TimeFilterPosition>

  The Enum TimeFilterPosition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `End` The End.
    `Start` The Start.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLCTimeFilter.TimeFilterPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLCTimeFilter.TimeFilterPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Start

          public static final XBRLCTimeFilter.TimeFilterPosition Start

      The Start.

    - #### End

          public static final XBRLCTimeFilter.TimeFilterPosition End

      The End.

  - ### Method Detail

    - #### values

          public static XBRLCTimeFilter.TimeFilterPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLCTimeFilter.TimeFilterPosition c : XBRLCTimeFilter.TimeFilterPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLCTimeFilter.TimeFilterPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null